# Proxmox Debian 12 Template

## Proxmox VM:
* OS:
  * debian-12.2.0-amd64-netinst.iso oder neuer
  * https://cdimage.debian.org/debian-cd/current/amd64/iso-cd/debian-12.7.0-amd64-netinst.iso
* System:
  * SCSI Controller: VirtIO SCSI single
  * Machine: q35
  * Bios: OVMF (UEFI)
  * Qemu Agent: Ja
  * Add EFI Disk: Ja
* Disks: 
  * 10 GB SCSI Disk
  * Discard: Ja
* CPU:
  * Sockets: 1
  * Cores: 2
* Memory; 2048 MiB
* Network: Model: VirtIO (paravirtualized)

## Debian installation (Textmodus)
* Language: German
* Land oder Gebiet: Deutschland
* Tastaturlayout: Deutsch
* Rechnername: template.local.tld
* Root-Passwort (2x): (hier eigenes Passwort einsetzen)
* Vollständiger Name des neuen Benutzers: technik
* Benutzername für Ihr Konto: technik
* Passwort (2x): (hier eigenes Passwort einsetzen)
* Partitionierung:
  * Methode: Manuell
  * Partition 1: 537 MB, Typ: ESP (EFI Partition)
  * Partition 2: 2 GB, Typ: Swap
  * Partition 3: (Rest), Typ: ext4, Root: /
  ![Partitionierung](assets/debian12-partitions.png)
  * Grund: Diese Reihenfolge der Partitionen erleichtert später die Erweirterung des Plattenplatzes!
* Änderungen auf die Festplatte schreiben: Ja
* Zusätzliche Installationsmedien einlesen: Nein
* Paketmanager konfigurieren:
  * Deutschland
  * deb.debian.org
  * Proxy: keiner (Weiter)
* Popularity-Contest: Je nach Belieben an der Paketverwendungserfassung teilnehmen.
* Softwareauswahl:
  * für Minimalsystem (dieses Tutorial): Alle Sternchen ausser SSH entfernen
  * alternativ: Alle Sternchen ausser SSH und Standard-Systemwerkzeuge entfernen
* Nach der Paketsintallation startet das System neu und Debian 12 ist bereit.

## Debian konfigurieren

* Login als root
* Ein paar erforderliche Pakete installieren: `apt update; apt install curl git wget`
* Dieses Repository klonen: `git clone https://support.ostrachhelp.de/p_reichart/proxmox-ve`

Damit ist die Konfiguration der Template-VM abgeschlossen


